"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const base_subscription_1 = __importDefault(require("./base-subscription"));
// calls the given handler exactly one time
// then text matches the given regex
class RegexSubscription extends base_subscription_1.default {
    constructor(regex, accumulator, resolve, reject, timeout) {
        super(accumulator, resolve, reject, timeout);
        this.searchRegexp = regex;
    }
    // returns the display name for debug / error messages
    getDisplayName() {
        return `regex '${this.searchRegexp.toString()}'`;
    }
    // Indicates whether the given text contains the RegExp this subscription is looking for
    // by returning the matching text or null if there are no matches
    matches(text) {
        const matches = text.match(this.searchRegexp);
        if (matches) {
            return matches[0];
        }
        else {
            return null;
        }
    }
}
exports.default = RegexSubscription;
